Last Comment Bug 386200 - SeaMonkey only: no "view cert button" in untrusted cert error dialog
: SeaMonkey only: no "view cert button" in untrusted cert error dialog
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Security (show other bugs)
: Trunk
: All All
: -- critical (vote)
: seamonkey2.0a1
Assigned To: Stefan [:stefanh] (away until May 28)
:
Mentors:
Depends on:
Blocks: 344243
  Show dependency treegraph
 
Reported: 2007-06-28 09:31 PDT by Kai Engert (:kaie)
Modified: 2007-07-04 07:43 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
One-liner, add extra2 button (1006 bytes, patch)
2007-07-03 13:33 PDT, Stefan [:stefanh] (away until May 28)
neil: review+
neil: superreview+
Details | Diff | Review

Description Kai Engert (:kaie) 2007-06-28 09:31:54 PDT
Go to an untrusted site, like https://www.cacert.org
You will get a message saying the cert is untrusted (as expected).

Problem: The dialog does not offer a "view cert" button.

This button is present in SeaMonkey 1.1, Firefox trunk, etc.
It appears, this is a regression in SeaMonkey trunk only.
Comment 1 Nelson Bolyard (seldom reads bugmail) 2007-07-02 18:22:36 PDT
Dan, please mark this bug so that the security group will take notice of it.
Comment 2 neil@parkwaycc.co.uk 2007-07-03 01:39:29 PDT
This is actually a regression from bug 344243 - our help button overlay accidentally removed the View Cert button. Note that the original bug 343395 got this right. I also didn't find any other dialogs missing the extra2 button.
Comment 3 Stefan [:stefanh] (away until May 28) 2007-07-03 13:30:56 PDT
The extra2 button seems to have been added in bug 343253 some weeks after bug 343395 was resolved.
Comment 4 Stefan [:stefanh] (away until May 28) 2007-07-03 13:33:16 PDT
Created attachment 270773 [details] [diff] [review]
One-liner, add extra2 button
Comment 5 neil@parkwaycc.co.uk 2007-07-03 16:13:29 PDT
Comment on attachment 270773 [details] [diff] [review]
One-liner, add extra2 button

r+sr=me by code inspection.
Comment 6 Stefan [:stefanh] (away until May 28) 2007-07-04 07:42:35 PDT
Checking in suite/common/helpSecurityOverlay.xul;
/cvsroot/mozilla/suite/common/helpSecurityOverlay.xul,v  <--  helpSecurityOverlay.xul
new revision: 1.2; previous revision: 1.1
done

Note You need to log in before you can comment on or make changes to this bug.